Search the VMware Knowledge Base (KB)
View by Article ID

Upgrading VMware Client Integration Plug-in to the latest version (2145066)

  • 45 Ratings
Language Editions

Details

This article provides steps to upgrade the VMware Client Integration Plug-in to the latest version. It is essential to upgrade the Client Integration Plug-in to the latest version.

This article is also applicable to vRealize Automation (vRA) Identity Appliance.

To check the installed version of your Client Integration Plug-in, perform the following steps:

  1. Open a browser, and enter the following URL:
    https://<FQDN or IP of vCenter Server>:9443/
  2. Log into vSphere Web Client.
  3. Click Help > About VMware vSphere.
  4. Search for the Client Integration Plug-in build in the pop-up window.

Solution

Steps to upgrade Client Integration Plug-In

For vCenter Server 5.5:

Download the Client Integration Plug-in by using one of the following methods:

  • Uninstall the existing Client Integration Plug-in.
  • Open vSphere Web Client, and click Download the Client Integration Plug-in. The link provides the build details of the latest Client Integration Plug-in.

OR

  • Download the Client Integration Plug-in from the following location:

    For Windows:
    http://vsphereclient.vmware.com/vsphereclient/VMware-ClientIntegrationPlugin-5.6.0.exe

    For Mac:
    http://vsphereclient.vmware.com/vsphereclient/VMware-ClientIntegrationPlugin-5.6.0.mac64.dmg

For vCenter Server 6.0:

Download the Client Integration Plug-in by using one of the following methods:

  • Uninstall the existing Client Integration Plug-in.
  • Open vSphere Web Client, and click Download the Client Integration Plug-in. The link provides the build details of the latest Client Integration Plug-in.

OR

  • Download the Client Integration Plug-in from the following location:

    For Windows:
    http://vsphereclient.vmware.com/vsphereclient/VMware-ClientIntegrationPlugin-6.0.0.exe

    For Mac:
    http://vsphereclient.vmware.com/vsphereclient/VMware-ClientIntegrationPlugin-6.0.0.mac64.dmg

For vCenter Server 6.5:

With vSphere 6.5 release, the VMware Enhanced Authentication Plug-in replaces the Client Integration Plug-in from vSphere 6.0 releases and earlier. For more information see, Install the VMware Enhanced Authentication Plug-in.

Additional Information

For translated versions of this article, see:

Request a Product Feature

To request a new product feature or to provide feedback on a VMware product, please visit the Request a Product Feature page.

Feedback

  • 45 Ratings

Did this article help you?
This article resolved my issue.
This article did not resolve my issue.
This article helped but additional information was required to resolve my issue.

What can we do to improve this information? (4000 or fewer characters)




Please enter the Captcha code before clicking Submit.
  • 45 Ratings
Actions
KB: